echo -----------------------------------
echo Using pip to install Python %PY_VER% version of torch-sparse
IF "%PY_VER%" == "3.6" (
  set "wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp36-cp36m-win_amd64.whl"
)
IF "%PY_VER%" == "3.7" (
  set "wheel_url=https://pytorch-geometric.com/whl/torch-1.4.0/torch_sparse-0.6.1%%2Bcu101-cp37-cp37m-win_amd64.whl"
)

if "%wheel_url%" == "" (
    echo Unsupported Python version %PY_VER%.
    exit 1
)

%PYTHON% -m pip install --no-deps %wheel_url% -vv
if errorlevel 1 exit 1
